Name:           perl-Math-Random-MT-Auto
Version:        6.14
Release:        5%{?dist}
Summary:        Auto-seeded Mersenne Twister PRNGs
License:        BSD 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-Random-MT-Auto/
Source0:        http://www.cpan.org/authors/id/J/JD/JDHEDDEN/Math-Random-MT-Auto-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Config)
BuildRequires:  perl(Exception::Class) >= 1.22
BuildRequires:  perl(Object::InsideOut) >= 2.06
# testing br's...
BuildRequires:  perl(Test::Pod) >= 1.26
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08

%description
The Mersenne Twister is a fast pseudorandom number generator (PRNG) that is
capable of providing large volumes (> 10^6004) of "high quality"
pseudorandom data to applications that may exhaust available "truly" random
data sources or system-provided PRNGs such as rand.

%prep
%setup -q -n Math-Random-MT-Auto-%{version}

chmod -c -x examples/*

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} `perl -p -e 's|\S+%{_docdir}/%{name}-%{version}\S+||'` | \
    sed -e '/^perl(Object::InsideOut)$/d'
EOF

%define __perl_requires %{_builddir}/Math-Random-MT-Auto-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 6.14-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 6.14-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 Chris Weyl <cweyl@alumni.drew.edu> 6.14-1
- update to 6.14
- switch to inline req filtering

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.12-1
- 6.12

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.02-4
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 6.02-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 6.02-2
- bump

* Fri Jun 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 6.02-1
- update to 6.02
- add t/ to doc
- minor spec tweaks to deal with the once and future perl split

* Fri Feb 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-3
- bump

* Thu Feb 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-2
- drop execute bit on filter-requires.sh to appease rpmlint

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 5.04-1
- Specfile autogenerated by cpanspec 1.70.
